问题描述

本人win10计算机上已配置JDK16.0.1环境,但运行logisim-win-2.7.1.exe,出现如下情况(This application requires Java Runtime Environment 1.5.0)

解决方法:

1. 生成JRE目录

JDK16.0.1默认没有生成JRE目录,需要手动设置

打开命令行窗口,进入JDK安装目录,键入以下命令生成JRE(JRE文件夹在JDK的安装目录下)

bin\jlink.exe --module-path jmods --add-modules java.desktop --output jre

2. 配置注册表

新建一个文本文件,输入如下内容

只需要将"CurrentVersion"后面更改为你安装的JRE版本号,JavaHome后面更改为你的JRE文件夹路径,注意路径中的反斜杠需要转义

Windows Registry Editor Version 5.00
 
[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft]
 
[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment]
"CurrentVersion"="16.0.1"
 
[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment\1.8]
"JavaHome"="D:\\software\\environment\\jdk16.0.1\\jre"

将该文本文件的后缀名改为.reg

双击该文件运行便可以修改注册表内容,之后就可以正常打开logisim-win-2.7.1.exe